summaryrefslogtreecommitdiff
path: root/round-robin.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2024-01-16 09:54:55 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2024-01-16 13:41:05 +0000
commitc5e2422ea418ec0b80bd482b66a3437e33c1ae37 (patch)
tree93818a442ea859773c35da5cd55cadaf40624473 /round-robin.sh
parent57b8283f15bbb37a726ae1bc48093057830b86c0 (diff)
round-robin.sh (build_abe): Detect failures when preparing testresults-* files
We want the general regression detection process to ignore problem with testresults-* files, but we want to know if such problems occur. Change-Id: I75b4e117080b2241c57ecff30e32abc3d761f868
Diffstat (limited to 'round-robin.sh')
-rw-r--r--round-robin.sh19
1 files changed, 15 insertions, 4 deletions
diff --git a/round-robin.sh b/round-robin.sh
index bc3f098f..b5b8a079 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -775,15 +775,26 @@ build_abe ()
if [ $res -eq 0 ] \
&& [ -f $run_step_artifacts/testresults-mail-body.txt ]; then
+ (
# Move testresults files, so that it's easier to find them
# later when we want to send them via email.
mkdir $run_step_top_artifacts/testresults
- mv $run_step_artifacts/testresults-mail-recipients.txt $run_step_top_artifacts/testresults/
- mv $run_step_artifacts/testresults-mail-subject.txt $run_step_top_artifacts/testresults/
+ mv $run_step_artifacts/testresults-mail-recipients.txt \
+ $run_step_artifacts/testresults-mail-subject.txt \
+ $run_step_top_artifacts/testresults/
# Add a pointer to the build origin, for easier tracking
- echo "# From ${BUILD_URL-$(pwd)}:" > $run_step_top_artifacts/testresults//testresults-mail-body.txt
- cat $run_step_artifacts/testresults-mail-body.txt >> $run_step_top_artifacts/testresults//testresults-mail-body.txt
+ echo "# From ${BUILD_URL-$(pwd)}:" \
+ > $run_step_top_artifacts/testresults/testresults-mail-body.txt
+ cat $run_step_artifacts/testresults-mail-body.txt \
+ >> $run_step_top_artifacts/testresults/testresults-mail-body.txt
rm $run_step_artifacts/testresults-mail-body.txt
+ ) &
+ if ! wait $!; then
+ echo "christophe.lyon@linaro.org" \
+ > artifacts/jenkins/error-mail-recipients.txt
+ echo -e "${BUILD_URL-}\nERROR: failed to process testresults" \
+ >> artifacts/jenkins/error-mail-body.txt
+ fi
fi
fi